Bug 227965 - net-mgmt/icinga2: using pkg/poudriere: wrong access right on crtical folders
Summary: net-mgmt/icinga2: using pkg/poudriere: wrong access right on crtical folders
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-04 08:14 UTC by O. Hartmann
Modified: 2018-10-16 11:38 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2018-05-04 08:14:02 UTC
We update some servers of our infrastructure utilizing poudriere and pkg. I realized recently, that when using pkg with poudriere-built packages from our repository, soemtimes the access rights of critical folders aren't set in the correct manner, resulting in a fail of restarting or even starting icinga2.

In particular (my findings) those folders are:

/var/cache/icinga2: it is set to root:icinga after an update, but should be icinga:icinga. Restart of icinga2 fails if not set correctly.

/var/run/icinga2 and
/var/run/icinga2/cmd: when module livestatus is enabled, the start of the service will fail, because, as mentioned before, the folders var/run/icinga2 and var/run/icinga2/cmd are owned by root and should be owned by icnga.

Setting the correct access rights results in a normal operation of icinga2.
Comment 1 commit-hook freebsd_committer 2018-10-12 12:20:12 UTC
A commit references this bug:

Author: lme
Date: Fri Oct 12 12:19:58 UTC 2018
New revision: 481898
URL: https://svnweb.freebsd.org/changeset/ports/481898

Log:
  net-mgmt/icinga2:

  - Fix directory permissions after upgrading icinga2 via pkg
  - Whitespace fixes in icinga2.in
  - Bump PORTREVISION

  PR:		227965, 227107
  Submitted by:	O. Hartmann <ohartmann@walstatt.org>
  MFH:		2018Q4

Changes:
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/icinga2/files/icinga2.in
Comment 2 Lars Engels freebsd_committer 2018-10-12 12:34:25 UTC
A fix was comitted. Thanks for reporting this and sorry for the long delay.
Comment 3 commit-hook freebsd_committer 2018-10-16 11:38:10 UTC
A commit references this bug:

Author: lme
Date: Tue Oct 16 11:37:56 UTC 2018
New revision: 482218
URL: https://svnweb.freebsd.org/changeset/ports/482218

Log:
  MFH: r481898

  net-mgmt/icinga2:

  - Fix directory permissions after upgrading icinga2 via pkg
  - Whitespace fixes in icinga2.in
  - Bump PORTREVISION

  PR:		227965, 227107
  Submitted by:	O. Hartmann <ohartmann@walstatt.org>

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net-mgmt/icinga2/Makefile
  branches/2018Q4/net-mgmt/icinga2/files/icinga2.in